## Gst Gst |

## Functions

void | gst_init ()
gboolean | gst_init_check ()
GOptionGroup * | gst_init_get_option_group ()
gboolean | gst_is_initialized ()
void | gst_deinit ()
void | gst_version ()
gchar * | gst_version_string ()
gboolean | gst_segtrap_is_enabled ()
void | gst_segtrap_set_enabled ()
gboolean | gst_registry_fork_is_enabled ()
void | gst_registry_fork_set_enabled ()
gboolean | gst_update_registry ()

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_init ()

    void
    gst_init (int *argc,
              char **argv[]);

### gst_init_check ()

    gboolean
    gst_init_check (int *argc,
                    char **argv[],
                    GError **err);

### gst_init_get_option_group ()

    GOptionGroup *
    gst_init_get_option_group (void);

### gst_is_initialized ()

    gboolean
    gst_is_initialized (void);

### gst_deinit ()

    void
    gst_deinit (void);

### gst_version ()

    void
    gst_version (guint *major,
                 guint *minor,
                 guint *micro,
                 guint *nano);

### gst_version_string ()

    gchar *
    gst_version_string (void);

### gst_segtrap_is_enabled ()

    gboolean
    gst_segtrap_is_enabled (void);

### gst_segtrap_set_enabled ()

    void
    gst_segtrap_set_enabled (gboolean enabled);

### gst_registry_fork_is_enabled ()

    gboolean
    gst_registry_fork_is_enabled (void);

### gst_registry_fork_set_enabled ()

    void
    gst_registry_fork_set_enabled (gboolean enabled);

### gst_update_registry ()

    gboolean
    gst_update_registry (void);

## Types and Values